al_open_directory(3)

NAME

al_open_directory - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_open_directory(ALLEGRO_FS_ENTRY *e)

DESCRIPTION

Opens a directory entry object. You must call this before using al_read_directory(3) on an entry and you must call al_close_directory(3) when you no longer need it.

Returns true on success.

SEE ALSO

al_read_directory(3), al_close_directory(3)